<?php

function osteo_pricing_table_shortcode( $atts ) {
    ob_start();

    // Attributes
    $settings = shortcode_atts(
        array(
            'osteo_style'                              => 'style-1',
            'osteo_heading_switch'                     => 'yes',
            'osteo_heading'                            => 'Professional',
            'osteo_heading_color'                      => '',
            'osteo_heading_color_hover'                => '',
            'osteo_heading_bg'                         => '',
            'osteo_heading_bg_hover'                   => '',
            'osteo_heading_font_size'                  => '36px',
            'osteo_heading_font_weight'                => '400',
            'osteo_heading_font_style'                 => 'normal',
            'osteo_heading_text_transform'             => 'none',
            'osteo_heading_letter_spacing'             => '0px',
            'osteo_heading_box_shadow'                 => 'none',
            'osteo_heading_css_editor'                 => '',
            'osteo_subheading_switch'                  => 'yes',
            'osteo_subheading'                         => 'Perfect for Small to Medium Business',
            'osteo_subheading_color'                   => '',
            'osteo_subheading_color_hover'             => '',
            'osteo_subheading_bg'                      => '',
            'osteo_subheading_bg_hover'                => '',
            'osteo_subheading_font_size'               => '28px',
            'osteo_subheading_font_weight'             => '400',
            'osteo_subheading_font_style'              => 'normal',
            'osteo_subheading_text_transform'          => 'none',
            'osteo_subheading_letter_spacing'          => '0px',
            'osteo_subheading_box_shadow'              => 'none',
            'osteo_subheading_css_editor'              => '',
            'osteo_trial_switch'                       => 'yes',
            'osteo_trial'                              => 'Free Trial for 1 Month',
            'osteo_trial_color'                        => '',
            'osteo_trial_color_hover'                  => '',
            'osteo_trial_bg'                           => '',
            'osteo_trial_bg_hover'                     => '',
            'osteo_trial_font_size'                    => '24px',
            'osteo_trial_font_weight'                  => '400',
            'osteo_trial_font_style'                   => 'normal',
            'osteo_trial_text_transform'               => 'none',
            'osteo_trial_letter_spacing'               => '0px',
            'osteo_trial_box_shadow'                   => 'none',
            'osteo_trial_css_editor'                   => '',
            'osteo_media_switch'                       => 'no',
            'osteo_media_type'                         => 'icon',
            'osteo_media_icon'                         => 'fa fa-star',
            'osteo_media_image'                        => '',
            'osteo_media_image_alt'                    => '',
            'osteo_media_video_id'                     => '',
            'osteo_media_soundcloud_id'                => '',
            'osteo_media_video_url'                    => '',
            'osteo_media_icon_size'                    => '16px',
            'osteo_media_icon_border'                  => '2px',
            'osteo_media_icon_border_color'            => '',
            'osteo_media_icon_border_style'            => '',
            'osteo_media_icon_border_radius'           => '',
            'osteo_media_width'                        => '560',
            'osteo_media_height'                       => '250',
            'osteo_media_image_width'                  => '200',
            'osteo_media_image_height'                 => '250',
            'osteo_media_popup_color'                  => '',
            'osteo_media_popup_color_hover'            => '',
            'osteo_media_popup_bg'                     => '',
            'osteo_media_popup_bg_hover'               => '',
            'osteo_media_padding_top'                  => '0px',
            'osteo_media_padding_right'                => '0px',
            'osteo_media_padding_bottom'               => '0px',
            'osteo_media_padding_left'                 => '0px',
            'osteo_media_margin_top'                   => '0px',
            'osteo_media_margin_right'                 => '0px',
            'osteo_media_margin_bottom'                => '0px',
            'osteo_media_margin_left'                  => '0px',
            'osteo_media_margin_left'                  => '0px',
            'osteo_price_switch'                       => 'yes',
            'osteo_before_currency_icon'               => 'fa fa-dollar',
            'osteo_after_currency_icon'                => '',
            'osteo_currency_icon_font_size'            => '16px',
            'osteo_currency_icon_color'                => '',
            'osteo_currency_icon_color_hover'          => '',
            'osteo_currency_icon_padding_left'         => '0px',
            'osteo_currency_icon_padding_right'        => '0px',
            'osteo_currency_icon_margin_left'          => '0px',
            'osteo_currency_icon_margin_right'         => '0px',
            'osteo_price'                              => '10',
            'osteo_price_counter'                      => 'count',
            'osteo_price_counter_color'                => '',
            'osteo_price_counter_color_hover'          => '',
            'osteo_price_counter_font_size'            => '24px',
            'osteo_price_counter_font_weight'          => '400',
            'osteo_price_counter_font_style'           => 'normal',
            'osteo_price_counter_text_transform'       => 'none',
            'osteo_price_counter_letter_spacing'       => '0px',
            'osteo_price_counter_padding_left'         => '30px',
            'osteo_price_counter_padding_right'        => '0px',
            'osteo_price_counter_margin_left'          => '0px',
            'osteo_price_counter_margin_right'         => '0px',
            'osteo_price_duration'                     => 'Per Month',
            'osteo_price_duration_line_break'          => 'no',
            'osteo_price_duration_color'               => '',
            'osteo_price_duration_color_hover'         => '',
            'osteo_price_duration_font_size'           => '',
            'osteo_price_duration_font_weight'         => '400',
            'osteo_price_duration_font_style'          => 'normal',
            'osteo_price_duration_text_transform'      => 'none',
            'osteo_price_duration_letter_spacing'      => '0px',
            'osteo_price_duration_padding_left'        => '0px',
            'osteo_price_duration_padding_right'       => '0px',
            'osteo_price_duration_margin_left'         => '0px',
            'osteo_price_duration_margin_right'        => '0px',
            'osteo_price_duration_top_switch'          => 'no',
            'osteo_price_duration_top'                 => 'Per Month',
            'osteo_price_duration_top_color'           => '',
            'osteo_price_duration_top_bg'              => '',
            'osteo_price_duration_top_color_hover'     => '',
            'osteo_price_duration_top_bg_hover'        => '',
            'osteo_price_duration_top_padding_top'     => '',
            'osteo_price_duration_top_padding_right'   => '',
            'osteo_price_duration_top_padding_bottom'  => '',
            'osteo_price_duration_top_padding_left'    => '',
            'osteo_price_duration_top_margin_top'      => '',
            'osteo_price_duration_top_margin_right'    => '',
            'osteo_price_duration_top_margin_bottom'   => '',
            'osteo_price_duration_top_margin_left'     => '',
            'osteo_price_duration_top_font_size'       => '',
            'osteo_price_duration_top_font_weight'     => '400',
            'osteo_price_duration_top_font_style'      => 'normal',
            'osteo_price_duration_top_text_transform'  => 'none',
            'osteo_price_duration_top_letter_spacing'  => '0px',
            'features_list'                            => '',
            'osteo_single_features_icon'               => 'fa fa-check',
            'osteo_single_features_icon_color'         => '#222',
            'osteo_single_features_icon_size'          => '14px',
            'osteo_single_features_icon_padding_left'  => '',
            'osteo_single_features_icon_padding_right' => '',
            'osteo_single_features_text'               => '10 GB SSD Hosting',
            'osteo_single_features_color'              => '#222',
            'osteo_single_features_color_hover'        => '',
            'osteo_single_features_bg'                 => '',
            'osteo_single_features_bg_hover'           => '',
            'osteo_single_features_del'                => 'no',
            'osteo_single_features_del_color'          => '',
            'osteo_single_features_css_editor'         => '',
            'osteo_single_features_font_size'          => '14px',
            'osteo_single_features_font_weight'        => '400',
            'osteo_single_features_font_style'         => 'normal',
            'osteo_single_features_text_transform'     => 'none',
            'osteo_single_features_letter_spacing'     => '0px',
            'osteo_single_features_box_shadow'         => 'none',
            'osteo_single_features_transition'         => '.5s',
            'osteo_features_bg'                        => '',
            'osteo_features_bg_hover'                  => '',
            'osteo_features_css_editor'                => '',
            'osteo_features_box_shadow'                => '',
            'osteo_button_switch'                      => '',
            'osteo_button_url'                         => '',
            'osteo_button_icon'                        => '',
            'osteo_button_icon_position'               => '',
            'osteo_button_title'                       => 'Buy Now',
            'osteo_button_color'                       => '#fff',
            'osteo_button_color_hover'                 => '#fff',
            'osteo_button_bg'                          => '#4CAF50',
            'osteo_button_bg_hover'                    => '#2196F3',
            'osteo_button_effect'                      => 'cmk-slide-left',
            'osteo_button_size'                        => 'sm',
            'osteo_button_font_size'                   => '14px',
            'osteo_button_font_weight'                 => '400',
            'osteo_button_font_style'                  => 'normal',
            'osteo_button_text_transform'              => 'none',
            'osteo_button_letter_spacing'              => '0px',
            'osteo_button_box_shadow'                  => 'none',
            'osteo_button_css_editor'                  => '',
            'osteo_special_note_switch'                => 'no',
            'osteo_special_note'                       => '10% Discount',
            'osteo_special_note_color'                 => '',
            'osteo_special_note_color_hover'           => '',
            'osteo_special_note_css_editor'            => '',
            'osteo_special_note_font_size'             => '18px',
            'osteo_special_note_font_weight'           => '400',
            'osteo_special_note_font_style'            => 'normal',
            'osteo_special_note_text_transform'        => 'none',
            'osteo_special_note_letter_spacing'        => '0px',
            'osteo_settings_text_align'                => 'left',
            'osteo_settings_transition'                => '.5s',
            'osteo_settings_border'                    => '0px',
            'osteo_settings_border_color'              => '',
            'osteo_settings_border_style'              => 'dotted',
            'osteo_settings_border_radius'             => '0px',
            'osteo_settings_border_hover'              => '0px',
            'osteo_settings_border_color_hover'        => '',
            'osteo_settings_border_style_hover'        => '',
            'osteo_settings_border_radius_hover'       => '0px',
            'osteo_settings_bg'                        => '',
            'osteo_settings_bg_hover'                  => '',
            'osteo_settings_box_shadow'                => 'none',
            'osteo_settings_box_shadow_hover'          => 'none',
            'osteo_settings_padding_top'               => '30px',
            'osteo_settings_padding_right'             => '30px',
            'osteo_settings_padding_bottom'            => '30px',
            'osteo_settings_padding_left'              => '30px',
            'osteo_settings_padding_bottom'            => '30px',
            'osteo_ribbon'                             => '',
            'osteo_ribbon_color'                       => '',
            'osteo_ribbon_bg'                          => '',
        ),
        $atts,
        'osteo_pricing_table'
    );

    $osteo_heading_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $settings['osteo_heading_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );
    $osteo_subheading_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $settings['osteo_subheading_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );
    $osteo_trial_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $settings['osteo_trial_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );

    //Media
    $osteo_media_image = wp_get_attachment_image_src( $settings['osteo_media_image'] );
    $osteo_media_video_url = vc_build_link( $settings['osteo_media_video_url'] );

    //Features
    $items = vc_param_group_parse_atts( $settings['features_list'] );
	$osteo_features_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $settings['osteo_features_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );

    //Button
    $osteo_button_url = vc_build_link( $settings['osteo_button_url'] );
    $osteo_button_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $settings['osteo_button_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );

    //Special Note
    $osteo_special_note_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $settings['osteo_special_note_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );

    ?>

    <?php if ( 'style-1' === $settings['osteo_style'] ): ?>
		<div class="pricing-package-1-style-1 osteo-style ribbon-style overflow <?php echo esc_attr( $settings['osteo_ribbon'] ); ?> <?php echo esc_attr( $settings['osteo_settings_box_shadow'] ); ?>" style="text-align: <?php echo esc_attr( $settings['osteo_settings_text_align'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; border: <?php echo esc_attr( $settings['osteo_settings_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_settings_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_settings_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_settings_border_radius'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_settings_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_settings_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_settings_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_settings_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_settings_padding_left'] ); ?>;">
			<?php
				if ( 'yes' === $settings['osteo_media_switch'] ) {
        			?>
						<?php if ( 'icon' === $settings['osteo_media_type'] ) : ?>
							<span class="media-icon" style="font-size: <?php echo esc_attr( $settings['osteo_media_icon_size'] ); ?>; border: <?php echo esc_attr( $settings['osteo_media_icon_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_media_icon_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_media_icon_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_media_icon_border_radius'] ); ?>; color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_media_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_media_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_media_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_media_margin_left'] ); ?>;">
								<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
							</span>

						<?php elseif ( 'image' === $settings['osteo_media_type'] ) : ?>
							<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>" style="width: <?php echo esc_attr( $settings['osteo_media_image_width'] ); ?>px; height: <?php echo esc_attr( $settings['osteo_media_image_height'] ); ?>px; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">

						<?php elseif ( 'youtube' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('www.youtube.com/embed/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'vimeo' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('player.vimeo.com/video/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'soundcloud' === $settings['osteo_media_type'] ): ?>
							<iframe width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" scrolling="no" frameborder="no" src="<?php echo esc_url('w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/'.$settings['osteo_media_soundcloud_id'].'') ?>&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'popup' === $settings['osteo_media_type'] ): ?>
							<div class="position-relative" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">
								<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>">
								<a href="<?php echo esc_url( $osteo_media_video_url['url'] ); ?>" class="play-btn popup-video" style="color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
									<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
								</a>
							</div>

							<?php endif;?>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_heading_switch'] ) {

        			?>
						<h2 class="heading <?php echo esc_attr( $osteo_heading_css_editor ); ?> <?php echo esc_attr( $settings['osteo_heading_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_heading_color'] ) ?>; background-color: <?php echo esc_attr( $settings['osteo_heading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_heading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_heading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_heading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_heading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_heading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_heading'] ); ?>
						</h2>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_subheading_switch'] ) {
        			?>
						<h3 class="subheading <?php echo esc_attr( $settings['osteo_subheading_box_shadow'] ); ?> <?php echo esc_attr( $osteo_subheading_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_subheading_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_subheading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_subheading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_subheading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_subheading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_subheading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_subheading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_subheading'] ); ?>
						</h3>
					<?php
				}
    		?>

			<?php
				if ( $items ) {

        			?>
						<div class="features-list <?php echo esc_attr( $settings['osteo_features_css_editor'] ); ?> <?php echo esc_attr( $settings['osteo_features_box_shadow'] ); ?>" style="background-color: <?php echo esc_attr( $settings['osteo_features_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<ul>
								<?php foreach ( $items as $item ) {?>
									<?php
										$osteo_single_features_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $item['osteo_single_features_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );
            						?>
									<li class="<?php echo esc_attr( $item['osteo_single_features_del'] ); ?> <?php echo esc_attr( $osteo_single_features_css_editor ); ?> <?php echo esc_attr( $item['osteo_single_features_box_shadow'] ); ?>" style="text-decoration-color: <?php echo esc_attr( $item['osteo_single_features_del_color'] ); ?>; color: <?php echo esc_attr( $item['osteo_single_features_color'] ); ?>; background-color: <?php echo esc_attr( $item['osteo_single_features_bg'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_font_size'] ); ?>; font-weight: <?php echo esc_attr( $item['osteo_single_features_font_weight'] ); ?>; font-style: <?php echo esc_attr( $item['osteo_single_features_font_style'] ); ?>; text-transform: <?php echo esc_attr( $item['osteo_single_features_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $item['osteo_single_features_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $item['osteo_single_features_transition'] ); ?>;">
										<span style="color: <?php echo esc_attr( $item['osteo_single_features_icon_color'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_icon_size'] ); ?>; padding-left: <?php echo esc_attr( $item['osteo_single_features_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $item['osteo_single_features_icon_padding_right'] ); ?>;"><i class="<?php echo esc_attr( $item['osteo_single_features_icon'] ); ?>"></i></span>
										<?php echo esc_html( $item['osteo_single_features_text'] ); ?>
									</li>
								<?php }?>
							</ul>
						</div>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_duration_top_switch'] ) {
        			?>
						<h6 class="duration-top" style="color: <?php echo esc_attr( $settings['osteo_price_duration_top_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_price_duration_top_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_left'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_top_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_top_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_top_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_top_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_top_letter_spacing'] ); ?>;">
							<?php echo esc_html( $settings['osteo_price_duration_top'] ); ?>
						</h6>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_switch'] ) {
        			?>
						<h5 class="price" style="color: <?php echo esc_attr( $settings['osteo_price_counter_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_counter_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_counter_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_counter_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_counter_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_counter_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_counter_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_counter_padding_right'] ); ?>; margin-left: esc_attr( $settings['osteo_price_counter_margin_left'] ); margin-right: <?php echo esc_attr( $settings['osteo_price_counter_margin_right'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_before_currency_icon'] ); ?>"></i></span><span class="<?php echo esc_attr( $settings['osteo_price_counter'] ); ?>"><?php echo esc_html( $settings['osteo_price'] ); ?></span><span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_after_currency_icon'] ); ?>"></i></span><span class="duration" style="color: <?php echo esc_attr( $settings['osteo_price_duration_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_font_size'] );; ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_margin_right'] ); ?>; display: <?php echo esc_attr( $settings['osteo_price_duration_line_break'] ); ?>;"><?php echo esc_html( $settings['osteo_price_duration'] ); ?></span>
						</h5>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_trial_switch'] ) {
        			?>
						<h4 class="trial <?php echo esc_attr( $osteo_trial_css_editor ); ?> <?php echo esc_attr( $settings['osteo_trial_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_trial_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_trial_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_trial_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_trial_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_trial_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_trial_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_trial_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_trial'] ); ?>
						</h4>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_button_switch'] ) {
        			?>
						<a href="<?php echo esc_url( $osteo_button_url['url'] ); ?>" class="cmk-button <?php echo esc_attr( $settings['osteo_button_size'] ); ?> <?php echo esc_attr( $osteo_button_css_editor ); ?> <?php echo esc_attr( $settings['osteo_button_effect'] ); ?> <?php echo esc_attr( $settings['osteo_button_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_button_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_button_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_button_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_button_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_button_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_button_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_button_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="<?php echo esc_attr( $settings['osteo_button_icon_position'] ); ?>">
								<i class="<?php echo esc_attr( $settings['osteo_button_icon'] ); ?>"></i>
							</span>
							<?php echo esc_html( $settings['osteo_button_title'] ); ?>
						</a>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_special_note_switch'] ) {
        			?>
						<div class="special-note <?php echo esc_attr( $osteo_special_note_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_special_note_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_special_note_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_special_note_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_special_note_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_special_note_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_special_note_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_special_note'] ); ?>
						</div>
					<?php
				}
    		?>

		</div>



	<?php elseif ( 'style-2' === $settings['osteo_style'] ): ?>

		<div class="pricing-package-1-style-2 osteo-style ribbon-style overflow <?php echo esc_attr( $settings['osteo_ribbon'] ); ?> <?php echo esc_attr( $settings['osteo_settings_box_shadow'] ); ?>" style="text-align: <?php echo esc_attr( $settings['osteo_settings_text_align'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; border: <?php echo esc_attr( $settings['osteo_settings_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_settings_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_settings_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_settings_border_radius'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_settings_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_settings_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_settings_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_settings_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_settings_padding_left'] ); ?>;">
			<?php
				if ( 'yes' === $settings['osteo_media_switch'] ) {
        			?>
						<?php if ( 'icon' === $settings['osteo_media_type'] ) : ?>
							<span class="media-icon" style="font-size: <?php echo esc_attr( $settings['osteo_media_icon_size'] ); ?>; border: <?php echo esc_attr( $settings['osteo_media_icon_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_media_icon_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_media_icon_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_media_icon_border_radius'] ); ?>; color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_media_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_media_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_media_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_media_margin_left'] ); ?>;">
								<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
							</span>

						<?php elseif ( 'image' === $settings['osteo_media_type'] ) : ?>
							<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>" style="width: <?php echo esc_attr( $settings['osteo_media_image_width'] ); ?>px; height: <?php echo esc_attr( $settings['osteo_media_image_height'] ); ?>px; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">

						<?php elseif ( 'youtube' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('www.youtube.com/embed/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'vimeo' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('player.vimeo.com/video/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'soundcloud' === $settings['osteo_media_type'] ): ?>
							<iframe width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" scrolling="no" frameborder="no" src="<?php echo esc_url('w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/'.$settings['osteo_media_soundcloud_id'].'') ?>&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'popup' === $settings['osteo_media_type'] ): ?>
							<div class="position-relative" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">
								<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>">
								<a href="<?php echo esc_url( $osteo_media_video_url['url'] ); ?>" class="play-btn popup-video" style="color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
									<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
								</a>
							</div>

							<?php endif;?>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_heading_switch'] ) {

        			?>
						<h2 class="heading <?php echo esc_attr( $osteo_heading_css_editor ); ?> <?php echo esc_attr( $settings['osteo_heading_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_heading_color'] ) ?>; background-color: <?php echo esc_attr( $settings['osteo_heading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_heading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_heading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_heading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_heading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_heading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;>">
							<?php echo esc_html( $settings['osteo_heading'] ); ?>
						</h2>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_subheading_switch'] ) {
        			?>
						<h3 class="subheading <?php echo esc_attr( $settings['osteo_subheading_box_shadow'] ); ?> <?php echo esc_attr( $osteo_subheading_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_subheading_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_subheading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_subheading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_subheading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_subheading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_subheading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_subheading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_subheading'] ); ?>
						</h3>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_duration_top_switch'] ) {
        			?>
						<h6 class="duration-top" style="color: <?php echo esc_attr( $settings['osteo_price_duration_top_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_price_duration_top_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_left'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_top_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_top_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_top_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_top_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_top_letter_spacing'] ); ?>;">
							<?php echo esc_html( $settings['osteo_price_duration_top'] ); ?>
						</h6>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_switch'] ) {
        			?>
						<h5 class="price" style="color: <?php echo esc_attr( $settings['osteo_price_counter_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_counter_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_counter_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_counter_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_counter_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_counter_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_counter_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_counter_padding_right'] ); ?>; margin-left: esc_attr( $settings['osteo_price_counter_margin_left'] ); margin-right: <?php echo esc_attr( $settings['osteo_price_counter_margin_right'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_before_currency_icon'] ); ?>"></i></span><span class="<?php echo esc_attr( $settings['osteo_price_counter'] ); ?>"><?php echo esc_html( $settings['osteo_price'] ); ?></span><span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_after_currency_icon'] ); ?>"></i></span><span class="duration" style="color: <?php echo esc_attr( $settings['osteo_price_duration_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_font_size'] );; ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_margin_right'] ); ?>; display: <?php echo esc_attr( $settings['osteo_price_duration_line_break'] ); ?>;"><?php echo esc_html( $settings['osteo_price_duration'] ); ?></span>
						</h5>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_trial_switch'] ) {
        			?>
						<h4 class="trial <?php echo esc_attr( $osteo_trial_css_editor ); ?> <?php echo esc_attr( $settings['osteo_trial_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_trial_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_trial_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_trial_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_trial_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_trial_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_trial_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_trial_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_trial'] ); ?>
						</h4>
					<?php
				}
    		?>

			<?php
				if ( $items ) {

        			?>
						<div class="features-list <?php echo esc_attr( $settings['osteo_features_css_editor'] ); ?> <?php echo esc_attr( $settings['osteo_features_box_shadow'] ); ?>" style="background-color: <?php echo esc_attr( $settings['osteo_features_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<ul>
								<?php foreach ( $items as $item ) {?>
									<?php
										$osteo_single_features_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $item['osteo_single_features_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );
            						?>
									<li class="<?php echo esc_attr( $item['osteo_single_features_del'] ); ?> <?php echo esc_attr( $osteo_single_features_css_editor ); ?> <?php echo esc_attr( $item['osteo_single_features_box_shadow'] ); ?>" style="text-decoration-color: <?php echo esc_attr( $item['osteo_single_features_del_color'] ); ?>; color: <?php echo esc_attr( $item['osteo_single_features_color'] ); ?>; background-color: <?php echo esc_attr( $item['osteo_single_features_bg'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_font_size'] ); ?>; font-weight: <?php echo esc_attr( $item['osteo_single_features_font_weight'] ); ?>; font-style: <?php echo esc_attr( $item['osteo_single_features_font_style'] ); ?>; text-transform: <?php echo esc_attr( $item['osteo_single_features_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $item['osteo_single_features_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $item['osteo_single_features_transition'] ); ?>;">
										<span style="color: <?php echo esc_attr( $item['osteo_single_features_icon_color'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_icon_size'] ); ?>; padding-left: <?php echo esc_attr( $item['osteo_single_features_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $item['osteo_single_features_icon_padding_right'] ); ?>;">
											<i class="<?php echo esc_attr( $item['osteo_single_features_icon'] ); ?>"></i>
										</span>
										<?php echo esc_html( $item['osteo_single_features_text'] ); ?>
									</li>
								<?php }?>
							</ul>
						</div>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_button_switch'] ) {
        			?>
						<a href="<?php echo esc_url( $osteo_button_url['url'] ); ?>" class="cmk-button <?php echo esc_attr( $settings['osteo_button_size'] ); ?> <?php echo esc_attr( $osteo_button_css_editor ); ?> <?php echo esc_attr( $settings['osteo_button_effect'] ); ?> <?php echo esc_attr( $settings['osteo_button_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_button_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_button_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_button_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_button_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_button_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_button_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_button_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="<?php echo esc_attr( $settings['osteo_button_icon_position'] ); ?>">
								<i class="<?php echo esc_attr( $settings['osteo_button_icon'] ); ?>"></i>
							</span>
							<?php echo esc_html( $settings['osteo_button_title'] ); ?>
						</a>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_special_note_switch'] ) {
        			?>
						<div class="special-note <?php echo esc_attr( $osteo_special_note_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_special_note_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_special_note_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_special_note_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_special_note_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_special_note_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_special_note_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_special_note'] ); ?>
						</div>
					<?php
				}
    		?>

		</div>

	<?php elseif ( 'style-3' === $settings['osteo_style'] ): ?>
		<div class="pricing-package-1-style-3 osteo-style ribbon-style overflow <?php echo esc_attr( $settings['osteo_ribbon'] ); ?> <?php echo esc_attr( $settings['osteo_settings_box_shadow'] ); ?>" style="text-align: <?php echo esc_attr( $settings['osteo_settings_text_align'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; border: <?php echo esc_attr( $settings['osteo_settings_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_settings_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_settings_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_settings_border_radius'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_settings_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_settings_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_settings_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_settings_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_settings_padding_left'] ); ?>;">
			<?php
				if ( 'yes' === $settings['osteo_media_switch'] ) {
        			?>
						<?php if ( 'icon' === $settings['osteo_media_type'] ) : ?>
							<span class="media-icon" style="font-size: <?php echo esc_attr( $settings['osteo_media_icon_size'] ); ?>; border: <?php echo esc_attr( $settings['osteo_media_icon_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_media_icon_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_media_icon_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_media_icon_border_radius'] ); ?>; color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_media_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_media_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_media_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_media_margin_left'] ); ?>;">
								<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
							</span>

						<?php elseif ( 'image' === $settings['osteo_media_type'] ) : ?>
							<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>" style="width: <?php echo esc_attr( $settings['osteo_media_image_width'] ); ?>px; height: <?php echo esc_attr( $settings['osteo_media_image_height'] ); ?>px; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">

						<?php elseif ( 'youtube' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('www.youtube.com/embed/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'vimeo' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('player.vimeo.com/video/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'soundcloud' === $settings['osteo_media_type'] ): ?>
							<iframe width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" scrolling="no" frameborder="no" src="<?php echo esc_url('w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/'.$settings['osteo_media_soundcloud_id'].'') ?>&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'popup' === $settings['osteo_media_type'] ): ?>
							<div class="position-relative" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">
								<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>">
								<a href="<?php echo esc_url( $osteo_media_video_url['url'] ); ?>" class="play-btn popup-video" style="color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
									<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
								</a>
							</div>

							<?php endif;?>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_heading_switch'] ) {

        			?>
						<h2 class="heading <?php echo esc_attr( $osteo_heading_css_editor ); ?> <?php echo esc_attr( $settings['osteo_heading_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_heading_color'] ) ?>; background-color: <?php echo esc_attr( $settings['osteo_heading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_heading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_heading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_heading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_heading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_heading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_heading'] ); ?>
						</h2>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_subheading_switch'] ) {
        			?>
						<h3 class="subheading <?php echo esc_attr( $settings['osteo_subheading_box_shadow'] ); ?> <?php echo esc_attr( $osteo_subheading_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_subheading_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_subheading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_subheading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_subheading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_subheading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_subheading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_subheading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_subheading'] ); ?>
						</h3>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_duration_top_switch'] ) {
        			?>
						<h6 class="duration-top" style="color: <?php echo esc_attr( $settings['osteo_price_duration_top_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_price_duration_top_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_left'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_top_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_top_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_top_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_top_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_top_letter_spacing'] ); ?>;">
							<?php echo esc_html( $settings['osteo_price_duration_top'] ); ?>
						</h6>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_switch'] ) {
        			?>
						<h5 class="price" style="color: <?php echo esc_attr( $settings['osteo_price_counter_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_counter_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_counter_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_counter_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_counter_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_counter_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_counter_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_counter_padding_right'] ); ?>; margin-left: esc_attr( $settings['osteo_price_counter_margin_left'] ); margin-right: <?php echo esc_attr( $settings['osteo_price_counter_margin_right'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_before_currency_icon'] ); ?>"></i></span><span class="<?php echo esc_attr( $settings['osteo_price_counter'] ); ?>"><?php echo esc_html( $settings['osteo_price'] ); ?></span><span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_after_currency_icon'] ); ?>"></i></span><span class="duration" style="color: <?php echo esc_attr( $settings['osteo_price_duration_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_font_size'] );; ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_margin_right'] ); ?>; display: <?php echo esc_attr( $settings['osteo_price_duration_line_break'] ); ?>;"><?php echo esc_html( $settings['osteo_price_duration'] ); ?></span>
						</h5>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_trial_switch'] ) {
        			?>
						<h4 class="trial <?php echo esc_attr( $osteo_trial_css_editor ); ?> <?php echo esc_attr( $settings['osteo_trial_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_trial_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_trial_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_trial_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_trial_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_trial_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_trial_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_trial_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_trial'] ); ?>
						</h4>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_button_switch'] ) {
        			?>
						<a href="<?php echo esc_url( $osteo_button_url['url'] ); ?>" class="cmk-button <?php echo esc_attr( $settings['osteo_button_size'] ); ?> <?php echo esc_attr( $osteo_button_css_editor ); ?> <?php echo esc_attr( $settings['osteo_button_effect'] ); ?> <?php echo esc_attr( $settings['osteo_button_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_button_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_button_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_button_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_button_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_button_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_button_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_button_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="<?php echo esc_attr( $settings['osteo_button_icon_position'] ); ?>">
								<i class="<?php echo esc_attr( $settings['osteo_button_icon'] ); ?>"></i>
							</span>
							<?php echo esc_html( $settings['osteo_button_title'] ); ?>
						</a>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_special_note_switch'] ) {
        			?>
						<div class="special-note <?php echo esc_attr( $osteo_special_note_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_special_note_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_special_note_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_special_note_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_special_note_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_special_note_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_special_note_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_special_note'] ); ?>
						</div>
					<?php
				}
    		?>

			<?php
				if ( $items ) {

        			?>
						<div class="features-list <?php echo esc_attr( $settings['osteo_features_css_editor'] ); ?> <?php echo esc_attr( $settings['osteo_features_box_shadow'] ); ?>" style="background-color: <?php echo esc_attr( $settings['osteo_features_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<ul>
								<?php foreach ( $items as $item ) {?>
									<?php
										$osteo_single_features_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $item['osteo_single_features_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );
            						?>
									<li class="<?php echo esc_attr( $item['osteo_single_features_del'] ); ?> <?php echo esc_attr( $osteo_single_features_css_editor ); ?> <?php echo esc_attr( $item['osteo_single_features_box_shadow'] ); ?>" style="text-decoration-color: <?php echo esc_attr( $item['osteo_single_features_del_color'] ); ?>; color: <?php echo esc_attr( $item['osteo_single_features_color'] ); ?>; background-color: <?php echo esc_attr( $item['osteo_single_features_bg'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_font_size'] ); ?>; font-weight: <?php echo esc_attr( $item['osteo_single_features_font_weight'] ); ?>; font-style: <?php echo esc_attr( $item['osteo_single_features_font_style'] ); ?>; text-transform: <?php echo esc_attr( $item['osteo_single_features_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $item['osteo_single_features_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $item['osteo_single_features_transition'] ); ?>;">
										<span style="color: <?php echo esc_attr( $item['osteo_single_features_icon_color'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_icon_size'] ); ?>; padding-left: <?php echo esc_attr( $item['osteo_single_features_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $item['osteo_single_features_icon_padding_right'] ); ?>;">
											<i class="<?php echo esc_attr( $item['osteo_single_features_icon'] ); ?>"></i>
										</span>
										<?php echo esc_html( $item['osteo_single_features_text'] ); ?>
									</li>
								<?php }?>
							</ul>
						</div>
					<?php
				}
    		?>
		</div>

	<?php elseif ( 'style-4' === $settings['osteo_style'] ): ?>

		<div class="pricing-package-1-style-4 osteo-style ribbon-style overflow <?php echo esc_attr( $settings['osteo_ribbon'] ); ?> <?php echo esc_attr( $settings['osteo_settings_box_shadow'] ); ?>" style="text-align: <?php echo esc_attr( $settings['osteo_settings_text_align'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; border: <?php echo esc_attr( $settings['osteo_settings_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_settings_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_settings_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_settings_border_radius'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_settings_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_settings_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_settings_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_settings_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_settings_padding_left'] ); ?>;">
			<?php
				if ( 'yes' === $settings['osteo_media_switch'] ) {
        			?>
						<?php if ( 'icon' === $settings['osteo_media_type'] ) : ?>
							<span class="media-icon" style="font-size: <?php echo esc_attr( $settings['osteo_media_icon_size'] ); ?>; border: <?php echo esc_attr( $settings['osteo_media_icon_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_media_icon_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_media_icon_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_media_icon_border_radius'] ); ?>; color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_media_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_media_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_media_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_media_margin_left'] ); ?>;">
								<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
							</span>

						<?php elseif ( 'image' === $settings['osteo_media_type'] ) : ?>
							<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>" style="width: <?php echo esc_attr( $settings['osteo_media_image_width'] ); ?>px; height: <?php echo esc_attr( $settings['osteo_media_image_height'] ); ?>px; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">

						<?php elseif ( 'youtube' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('www.youtube.com/embed/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'vimeo' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('player.vimeo.com/video/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'soundcloud' === $settings['osteo_media_type'] ): ?>
							<iframe width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" scrolling="no" frameborder="no" src="<?php echo esc_url('w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/'.$settings['osteo_media_soundcloud_id'].'') ?>&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'popup' === $settings['osteo_media_type'] ): ?>
							<div class="position-relative" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">
								<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>">
								<a href="<?php echo esc_url( $osteo_media_video_url['url'] ); ?>" class="play-btn popup-video" style="color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
									<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
								</a>
							</div>

							<?php endif;?>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_heading_switch'] ) {

        			?>
						<h2 class="heading <?php echo esc_attr( $osteo_heading_css_editor ); ?> <?php echo esc_attr( $settings['osteo_heading_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_heading_color'] ) ?>; background-color: <?php echo esc_attr( $settings['osteo_heading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_heading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_heading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_heading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_heading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_heading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_heading'] ); ?>
						</h2>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_subheading_switch'] ) {
        			?>
						<h3 class="subheading <?php echo esc_attr( $settings['osteo_subheading_box_shadow'] ); ?> <?php echo esc_attr( $osteo_subheading_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_subheading_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_subheading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_subheading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_subheading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_subheading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_subheading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_subheading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_subheading'] ); ?>
						</h3>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_button_switch'] ) {
        			?>
						<a href="<?php echo esc_url( $osteo_button_url['url'] ); ?>" class="cmk-button <?php echo esc_attr( $settings['osteo_button_size'] ); ?> <?php echo esc_attr( $osteo_button_css_editor ); ?> <?php echo esc_attr( $settings['osteo_button_effect'] ); ?> <?php echo esc_attr( $settings['osteo_button_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_button_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_button_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_button_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_button_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_button_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_button_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_button_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="<?php echo esc_attr( $settings['osteo_button_icon_position'] ); ?>">
								<i class="<?php echo esc_attr( $settings['osteo_button_icon'] ); ?>"></i>
							</span>
							<?php echo esc_html( $settings['osteo_button_title'] ); ?>
						</a>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_special_note_switch'] ) {
        			?>
						<div class="special-note <?php echo esc_attr( $osteo_special_note_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_special_note_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_special_note_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_special_note_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_special_note_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_special_note_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_special_note_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_special_note'] ); ?>
						</div>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_duration_top_switch'] ) {
        			?>
						<h6 class="duration-top" style="color: <?php echo esc_attr( $settings['osteo_price_duration_top_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_price_duration_top_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_left'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_top_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_top_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_top_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_top_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_top_letter_spacing'] ); ?>;">
							<?php echo esc_html( $settings['osteo_price_duration_top'] ); ?>
						</h6>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_switch'] ) {
        			?>
						<h5 class="price" style="color: <?php echo esc_attr( $settings['osteo_price_counter_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_counter_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_counter_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_counter_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_counter_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_counter_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_counter_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_counter_padding_right'] ); ?>; margin-left: esc_attr( $settings['osteo_price_counter_margin_left'] ); margin-right: <?php echo esc_attr( $settings['osteo_price_counter_margin_right'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_before_currency_icon'] ); ?>"></i></span><span class="<?php echo esc_attr( $settings['osteo_price_counter'] ); ?>"><?php echo esc_html( $settings['osteo_price'] ); ?></span><span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_after_currency_icon'] ); ?>"></i></span><span class="duration" style="color: <?php echo esc_attr( $settings['osteo_price_duration_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_font_size'] );; ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_margin_right'] ); ?>; display: <?php echo esc_attr( $settings['osteo_price_duration_line_break'] ); ?>;"><?php echo esc_html( $settings['osteo_price_duration'] ); ?></span>
						</h5>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_trial_switch'] ) {
        			?>
						<h4 class="trial <?php echo esc_attr( $osteo_trial_css_editor ); ?> <?php echo esc_attr( $settings['osteo_trial_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_trial_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_trial_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_trial_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_trial_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_trial_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_trial_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_trial_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_trial'] ); ?>
						</h4>
					<?php
				}
    		?>

			<?php
				if ( $items ) {

        			?>
						<div class="features-list <?php echo esc_attr( $settings['osteo_features_css_editor'] ); ?> <?php echo esc_attr( $settings['osteo_features_box_shadow'] ); ?>" style="background-color: <?php echo esc_attr( $settings['osteo_features_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<ul>
								<?php foreach ( $items as $item ) {?>
									<?php
										$osteo_single_features_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $item['osteo_single_features_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );
            						?>
									<li class="<?php echo esc_attr( $item['osteo_single_features_del'] ); ?> <?php echo esc_attr( $osteo_single_features_css_editor ); ?> <?php echo esc_attr( $item['osteo_single_features_box_shadow'] ); ?>" style="text-decoration-color: <?php echo esc_attr( $item['osteo_single_features_del_color'] ); ?>; color: <?php echo esc_attr( $item['osteo_single_features_color'] ); ?>; background-color: <?php echo esc_attr( $item['osteo_single_features_bg'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_font_size'] ); ?>; font-weight: <?php echo esc_attr( $item['osteo_single_features_font_weight'] ); ?>; font-style: <?php echo esc_attr( $item['osteo_single_features_font_style'] ); ?>; text-transform: <?php echo esc_attr( $item['osteo_single_features_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $item['osteo_single_features_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $item['osteo_single_features_transition'] ); ?>;">
										<span style="color: <?php echo esc_attr( $item['osteo_single_features_icon_color'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_icon_size'] ); ?>; padding-left: <?php echo esc_attr( $item['osteo_single_features_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $item['osteo_single_features_icon_padding_right'] ); ?>;">
											<i class="<?php echo esc_attr( $item['osteo_single_features_icon'] ); ?>"></i>
										</span>
										<?php echo esc_html( $item['osteo_single_features_text'] ); ?>
									</li>
								<?php }?>
							</ul>
						</div>
					<?php
				}
    		?>
		</div>

	<?php elseif ( 'style-5' === $settings['osteo_style'] ): ?>
		<div class="pricing-package-1-style-5 osteo-style ribbon-style overflow <?php echo esc_attr( $settings['osteo_ribbon'] ); ?> <?php echo esc_attr( $settings['osteo_settings_box_shadow'] ); ?>" style="text-align: <?php echo esc_attr( $settings['osteo_settings_text_align'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; border: <?php echo esc_attr( $settings['osteo_settings_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_settings_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_settings_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_settings_border_radius'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_settings_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_settings_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_settings_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_settings_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_settings_padding_left'] ); ?>;">
			<?php
				if ( 'yes' === $settings['osteo_media_switch'] ) {
        			?>
						<?php if ( 'icon' === $settings['osteo_media_type'] ) : ?>
							<span class="media-icon" style="font-size: <?php echo esc_attr( $settings['osteo_media_icon_size'] ); ?>; border: <?php echo esc_attr( $settings['osteo_media_icon_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_media_icon_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_media_icon_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_media_icon_border_radius'] ); ?>; color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_media_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_media_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_media_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_media_margin_left'] ); ?>;">
								<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
							</span>

						<?php elseif ( 'image' === $settings['osteo_media_type'] ) : ?>
							<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>" style="width: <?php echo esc_attr( $settings['osteo_media_image_width'] ); ?>px; height: <?php echo esc_attr( $settings['osteo_media_image_height'] ); ?>px; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">

						<?php elseif ( 'youtube' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('www.youtube.com/embed/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'vimeo' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('player.vimeo.com/video/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'soundcloud' === $settings['osteo_media_type'] ): ?>
							<iframe width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" scrolling="no" frameborder="no" src="<?php echo esc_url('w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/'.$settings['osteo_media_soundcloud_id'].'') ?>&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'popup' === $settings['osteo_media_type'] ): ?>
							<div class="position-relative" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">
								<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>">
								<a href="<?php echo esc_url( $osteo_media_video_url['url'] ); ?>" class="play-btn popup-video" style="color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
									<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
								</a>
							</div>

							<?php endif;?>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_heading_switch'] ) {

        			?>
						<h2 class="heading <?php echo esc_attr( $osteo_heading_css_editor ); ?> <?php echo esc_attr( $settings['osteo_heading_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_heading_color'] ) ?>; background-color: <?php echo esc_attr( $settings['osteo_heading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_heading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_heading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_heading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_heading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_heading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_heading'] ); ?>
						</h2>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_subheading_switch'] ) {
        			?>
						<h3 class="subheading <?php echo esc_attr( $settings['osteo_subheading_box_shadow'] ); ?> <?php echo esc_attr( $osteo_subheading_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_subheading_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_subheading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_subheading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_subheading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_subheading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_subheading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_subheading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_subheading'] ); ?>
						</h3>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_duration_top_switch'] ) {
        			?>
						<h6 class="duration-top" style="color: <?php echo esc_attr( $settings['osteo_price_duration_top_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_price_duration_top_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_left'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_top_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_top_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_top_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_top_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_top_letter_spacing'] ); ?>;">
							<?php echo esc_html( $settings['osteo_price_duration_top'] ); ?>
						</h6>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_switch'] ) {
        			?>
						<div class="pricing-header-1">
							<h5 class="price" style="color: <?php echo esc_attr( $settings['osteo_price_counter_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_counter_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_counter_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_counter_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_counter_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_counter_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_counter_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_counter_padding_right'] ); ?>; margin-left: esc_attr( $settings['osteo_price_counter_margin_left'] ); margin-right: <?php echo esc_attr( $settings['osteo_price_counter_margin_right'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
								<span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_before_currency_icon'] ); ?>"></i></span><span class="<?php echo esc_attr( $settings['osteo_price_counter'] ); ?>"><?php echo esc_html( $settings['osteo_price'] ); ?></span><span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_after_currency_icon'] ); ?>"></i></span><span class="duration" style="color: <?php echo esc_attr( $settings['osteo_price_duration_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_font_size'] );; ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_margin_right'] ); ?>; display: <?php echo esc_attr( $settings['osteo_price_duration_line_break'] ); ?>;"><?php echo esc_html( $settings['osteo_price_duration'] ); ?></span>
							</h5>
						</div>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_trial_switch'] ) {
        			?>
						<h4 class="trial <?php echo esc_attr( $osteo_trial_css_editor ); ?> <?php echo esc_attr( $settings['osteo_trial_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_trial_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_trial_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_trial_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_trial_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_trial_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_trial_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_trial_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_trial'] ); ?>
						</h4>
					<?php
				}
    		?>

			<?php
				if ( $items ) {

        			?>
						<div class="features-list <?php echo esc_attr( $settings['osteo_features_css_editor'] ); ?> <?php echo esc_attr( $settings['osteo_features_box_shadow'] ); ?>" style="background-color: <?php echo esc_attr( $settings['osteo_features_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<ul>
								<?php foreach ( $items as $item ) {?>
									<?php
										$osteo_single_features_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $item['osteo_single_features_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );
            						?>
									<li class="<?php echo esc_attr( $item['osteo_single_features_del'] ); ?> <?php echo esc_attr( $osteo_single_features_css_editor ); ?> <?php echo esc_attr( $item['osteo_single_features_box_shadow'] ); ?>" style="text-decoration-color: <?php echo esc_attr( $item['osteo_single_features_del_color'] ); ?>; color: <?php echo esc_attr( $item['osteo_single_features_color'] ); ?>; background-color: <?php echo esc_attr( $item['osteo_single_features_bg'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_font_size'] ); ?>; font-weight: <?php echo esc_attr( $item['osteo_single_features_font_weight'] ); ?>; font-style: <?php echo esc_attr( $item['osteo_single_features_font_style'] ); ?>; text-transform: <?php echo esc_attr( $item['osteo_single_features_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $item['osteo_single_features_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $item['osteo_single_features_transition'] ); ?>;">
										<span style="color: <?php echo esc_attr( $item['osteo_single_features_icon_color'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_icon_size'] ); ?>; padding-left: <?php echo esc_attr( $item['osteo_single_features_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $item['osteo_single_features_icon_padding_right'] ); ?>;">
											<i class="<?php echo esc_attr( $item['osteo_single_features_icon'] ); ?>"></i>
										</span>
										<?php echo esc_html( $item['osteo_single_features_text'] ); ?>
									</li>
								<?php }?>
							</ul>
						</div>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_button_switch'] ) {
        			?>
						<a href="<?php echo esc_url( $osteo_button_url['url'] ); ?>" class="cmk-button <?php echo esc_attr( $settings['osteo_button_size'] ); ?> <?php echo esc_attr( $osteo_button_css_editor ); ?> <?php echo esc_attr( $settings['osteo_button_effect'] ); ?> <?php echo esc_attr( $settings['osteo_button_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_button_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_button_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_button_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_button_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_button_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_button_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_button_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="<?php echo esc_attr( $settings['osteo_button_icon_position'] ); ?>">
								<i class="<?php echo esc_attr( $settings['osteo_button_icon'] ); ?>"></i>
							</span>
							<?php echo esc_html( $settings['osteo_button_title'] ); ?>
						</a>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_special_note_switch'] ) {
        			?>
						<div class="special-note <?php echo esc_attr( $osteo_special_note_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_special_note_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_special_note_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_special_note_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_special_note_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_special_note_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_special_note_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_special_note'] ); ?>
						</div>
					<?php
				}
    		?>
		</div>

	<?php elseif ( 'style-6' === $settings['osteo_style'] ): ?>
		<div class="pricing-package-1-style-6 osteo-style ribbon-style overflow <?php echo esc_attr( $settings['osteo_ribbon'] ); ?> <?php echo esc_attr( $settings['osteo_settings_box_shadow'] ); ?>" style="text-align: <?php echo esc_attr( $settings['osteo_settings_text_align'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; border: <?php echo esc_attr( $settings['osteo_settings_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_settings_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_settings_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_settings_border_radius'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_settings_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_settings_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_settings_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_settings_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_settings_padding_left'] ); ?>;">
			<?php
				if ( 'yes' === $settings['osteo_media_switch'] ) {
        			?>
						<?php if ( 'icon' === $settings['osteo_media_type'] ) : ?>
							<span class="media-icon" style="font-size: <?php echo esc_attr( $settings['osteo_media_icon_size'] ); ?>; border: <?php echo esc_attr( $settings['osteo_media_icon_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_media_icon_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_media_icon_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_media_icon_border_radius'] ); ?>; color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_media_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_media_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_media_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_media_margin_left'] ); ?>;">
								<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
							</span>

						<?php elseif ( 'image' === $settings['osteo_media_type'] ) : ?>
							<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>" style="width: <?php echo esc_attr( $settings['osteo_media_image_width'] ); ?>px; height: <?php echo esc_attr( $settings['osteo_media_image_height'] ); ?>px; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">

						<?php elseif ( 'youtube' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('www.youtube.com/embed/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'vimeo' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('player.vimeo.com/video/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'soundcloud' === $settings['osteo_media_type'] ): ?>
							<iframe width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" scrolling="no" frameborder="no" src="<?php echo esc_url('w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/'.$settings['osteo_media_soundcloud_id'].'') ?>&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'popup' === $settings['osteo_media_type'] ): ?>
							<div class="position-relative" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">
								<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>">
								<a href="<?php echo esc_url( $osteo_media_video_url['url'] ); ?>" class="play-btn popup-video" style="color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
									<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
								</a>
							</div>

							<?php endif;?>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_duration_top_switch'] ) {
        			?>
						<h6 class="duration-top" style="color: <?php echo esc_attr( $settings['osteo_price_duration_top_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_price_duration_top_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_left'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_top_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_top_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_top_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_top_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_top_letter_spacing'] ); ?>;">
							<?php echo esc_html( $settings['osteo_price_duration_top'] ); ?>
						</h6>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_switch'] ) {
        			?>
						<h5 class="price" style="color: <?php echo esc_attr( $settings['osteo_price_counter_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_counter_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_counter_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_counter_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_counter_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_counter_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_counter_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_counter_padding_right'] ); ?>; margin-left: esc_attr( $settings['osteo_price_counter_margin_left'] ); margin-right: <?php echo esc_attr( $settings['osteo_price_counter_margin_right'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_before_currency_icon'] ); ?>"></i></span><span class="<?php echo esc_attr( $settings['osteo_price_counter'] ); ?>"><?php echo esc_html( $settings['osteo_price'] ); ?></span><span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_after_currency_icon'] ); ?>"></i></span><span class="duration" style="color: <?php echo esc_attr( $settings['osteo_price_duration_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_font_size'] );; ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_margin_right'] ); ?>; display: <?php echo esc_attr( $settings['osteo_price_duration_line_break'] ); ?>;"><?php echo esc_html( $settings['osteo_price_duration'] ); ?></span>
						</h5>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_trial_switch'] ) {
        			?>
						<h4 class="trial <?php echo esc_attr( $osteo_trial_css_editor ); ?> <?php echo esc_attr( $settings['osteo_trial_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_trial_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_trial_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_trial_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_trial_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_trial_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_trial_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_trial_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_trial'] ); ?>
						</h4>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_button_switch'] ) {
        			?>
						<a href="<?php echo esc_url( $osteo_button_url['url'] ); ?>" class="cmk-button <?php echo esc_attr( $settings['osteo_button_size'] ); ?> <?php echo esc_attr( $osteo_button_css_editor ); ?> <?php echo esc_attr( $settings['osteo_button_effect'] ); ?> <?php echo esc_attr( $settings['osteo_button_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_button_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_button_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_button_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_button_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_button_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_button_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_button_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="<?php echo esc_attr( $settings['osteo_button_icon_position'] ); ?>">
								<i class="<?php echo esc_attr( $settings['osteo_button_icon'] ); ?>"></i>
							</span>
							<?php echo esc_html( $settings['osteo_button_title'] ); ?>
						</a>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_special_note_switch'] ) {
        			?>
						<div class="special-note <?php echo esc_attr( $osteo_special_note_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_special_note_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_special_note_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_special_note_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_special_note_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_special_note_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_special_note_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_special_note'] ); ?>
						</div>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_heading_switch'] ) {

        			?>
						<h2 class="heading <?php echo esc_attr( $osteo_heading_css_editor ); ?> <?php echo esc_attr( $settings['osteo_heading_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_heading_color'] ) ?>; background-color: <?php echo esc_attr( $settings['osteo_heading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_heading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_heading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_heading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_heading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_heading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_heading'] ); ?>
						</h2>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_subheading_switch'] ) {
        			?>
						<h3 class="subheading <?php echo esc_attr( $settings['osteo_subheading_box_shadow'] ); ?> <?php echo esc_attr( $osteo_subheading_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_subheading_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_subheading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_subheading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_subheading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_subheading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_subheading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_subheading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_subheading'] ); ?>
						</h3>
					<?php
				}
    		?>

			<?php
				if ( $items ) {

        			?>
						<div class="features-list <?php echo esc_attr( $settings['osteo_features_css_editor'] ); ?> <?php echo esc_attr( $settings['osteo_features_box_shadow'] ); ?>" style="background-color: <?php echo esc_attr( $settings['osteo_features_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<ul>
								<?php foreach ( $items as $item ) {?>
									<?php
										$osteo_single_features_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $item['osteo_single_features_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );
            						?>
									<li class="<?php echo esc_attr( $item['osteo_single_features_del'] ); ?> <?php echo esc_attr( $osteo_single_features_css_editor ); ?> <?php echo esc_attr( $item['osteo_single_features_box_shadow'] ); ?>" style="text-decoration-color: <?php echo esc_attr( $item['osteo_single_features_del_color'] ); ?>; color: <?php echo esc_attr( $item['osteo_single_features_color'] ); ?>; background-color: <?php echo esc_attr( $item['osteo_single_features_bg'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_font_size'] ); ?>; font-weight: <?php echo esc_attr( $item['osteo_single_features_font_weight'] ); ?>; font-style: <?php echo esc_attr( $item['osteo_single_features_font_style'] ); ?>; text-transform: <?php echo esc_attr( $item['osteo_single_features_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $item['osteo_single_features_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $item['osteo_single_features_transition'] ); ?>;">
										<span style="color: <?php echo esc_attr( $item['osteo_single_features_icon_color'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_icon_size'] ); ?>; padding-left: <?php echo esc_attr( $item['osteo_single_features_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $item['osteo_single_features_icon_padding_right'] ); ?>;">
											<i class="<?php echo esc_attr( $item['osteo_single_features_icon'] ); ?>"></i>
										</span>
										<?php echo esc_html( $item['osteo_single_features_text'] ); ?>
									</li>
								<?php }?>
							</ul>
						</div>
					<?php
				}
    		?>
		</div>

	<?php elseif ( 'style-7' === $settings['osteo_style'] ): ?>
		<div class="pricing-package-1-style-7 osteo-style ribbon-style overflow <?php echo esc_attr( $settings['osteo_ribbon'] ); ?> <?php echo esc_attr( $settings['osteo_settings_box_shadow'] ); ?>" style="text-align: <?php echo esc_attr( $settings['osteo_settings_text_align'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; border: <?php echo esc_attr( $settings['osteo_settings_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_settings_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_settings_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_settings_border_radius'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_settings_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_settings_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_settings_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_settings_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_settings_padding_left'] ); ?>;">

			<?php
				if ( 'yes' === $settings['osteo_media_switch'] ) {
        			?>
						<?php if ( 'icon' === $settings['osteo_media_type'] ) : ?>
							<span class="media-icon" style="font-size: <?php echo esc_attr( $settings['osteo_media_icon_size'] ); ?>; border: <?php echo esc_attr( $settings['osteo_media_icon_border'] ); ?>; border-color: <?php echo esc_attr( $settings['osteo_media_icon_border_color'] ); ?>; border-style: <?php echo esc_attr( $settings['osteo_media_icon_border_style'] ); ?>; border-radius: <?php echo esc_attr( $settings['osteo_media_icon_border_radius'] ); ?>; color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_media_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_media_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_media_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_media_margin_left'] ); ?>;">
								<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
							</span>

						<?php elseif ( 'image' === $settings['osteo_media_type'] ) : ?>
							<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>" style="width: <?php echo esc_attr( $settings['osteo_media_image_width'] ); ?>px; height: <?php echo esc_attr( $settings['osteo_media_image_height'] ); ?>px; padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">

						<?php elseif ( 'youtube' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('www.youtube.com/embed/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'vimeo' === $settings['osteo_media_type'] ): ?>
							<iframe src="<?php echo esc_url('player.vimeo.com/video/'.$settings['osteo_media_video_id'].'') ?>" width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" allowfullscreen style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'soundcloud' === $settings['osteo_media_type'] ): ?>
							<iframe width="<?php echo esc_attr( $settings['osteo_media_width'] ); ?>" height="<?php echo esc_attr( $settings['osteo_media_height'] ); ?>" scrolling="no" frameborder="no" src="<?php echo esc_url('w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/'.$settings['osteo_media_soundcloud_id'].'') ?>&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;"></iframe>

						<?php elseif ( 'popup' === $settings['osteo_media_type'] ): ?>
							<div class="position-relative" style="padding-top: <?php echo esc_attr( $settings['osteo_media_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_media_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_media_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_media_padding_left'] ); ?>;">
								<img src="<?php echo esc_url($osteo_media_image['0']); ?>" alt="<?php echo esc_html( $settings['osteo_media_image_alt'] ); ?>">
								<a href="<?php echo esc_url( $osteo_media_video_url['url'] ); ?>" class="play-btn popup-video" style="color: <?php echo esc_attr( $settings['osteo_media_popup_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
									<i class="<?php echo esc_attr( $settings['osteo_media_icon'] ); ?>"></i>
								</a>
							</div>

							<?php endif;?>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_duration_top_switch'] ) {
        			?>
						<h6 class="duration-top" style="color: <?php echo esc_attr( $settings['osteo_price_duration_top_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_price_duration_top_bg'] ); ?>; padding-top: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_top'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_right'] ); ?>; padding-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_bottom'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_top_padding_left'] ); ?>; margin-top: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_top'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_right'] ); ?>; margin-bottom: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_bottom'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_top_margin_left'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_top_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_top_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_top_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_top_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_top_letter_spacing'] ); ?>;">
							<?php echo esc_html( $settings['osteo_price_duration_top'] ); ?>
						</h6>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_price_switch'] ) {
        			?>
						<h5 class="price" style="color: <?php echo esc_attr( $settings['osteo_price_counter_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_counter_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_counter_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_counter_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_counter_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_counter_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_counter_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_counter_padding_right'] ); ?>; margin-left: esc_attr( $settings['osteo_price_counter_margin_left'] ); margin-right: <?php echo esc_attr( $settings['osteo_price_counter_margin_right'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_before_currency_icon'] ); ?>"></i></span><span class="<?php echo esc_attr( $settings['osteo_price_counter'] ); ?>"><?php echo esc_html( $settings['osteo_price'] ); ?></span><span class="currency" style="color: <?php echo esc_attr( $settings['osteo_currency_icon_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_currency_icon_font_size'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_currency_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_currency_icon_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_currency_icon_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_currency_icon_margin_right'] ); ?>;"><i class="<?php echo esc_attr( $settings['osteo_after_currency_icon'] ); ?>"></i></span><span class="duration" style="color: <?php echo esc_attr( $settings['osteo_price_duration_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_price_duration_font_size'] );; ?>; font-weight: <?php echo esc_attr( $settings['osteo_price_duration_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_price_duration_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_price_duration_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_price_duration_letter_spacing'] ); ?>; padding-left: <?php echo esc_attr( $settings['osteo_price_duration_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $settings['osteo_price_duration_padding_right'] ); ?>; margin-left: <?php echo esc_attr( $settings['osteo_price_duration_margin_left'] ); ?>; margin-right: <?php echo esc_attr( $settings['osteo_price_duration_margin_right'] ); ?>; display: <?php echo esc_attr( $settings['osteo_price_duration_line_break'] ); ?>;"><?php echo esc_html( $settings['osteo_price_duration'] ); ?></span>
						</h5>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_trial_switch'] ) {
        			?>
						<h4 class="trial <?php echo esc_attr( $osteo_trial_css_editor ); ?> <?php echo esc_attr( $settings['osteo_trial_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_trial_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_trial_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_trial_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_trial_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_trial_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_trial_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_trial_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_trial'] ); ?>
						</h4>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_heading_switch'] ) {

        			?>
						<h2 class="heading <?php echo esc_attr( $osteo_heading_css_editor ); ?> <?php echo esc_attr( $settings['osteo_heading_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_heading_color'] ) ?>; background-color: <?php echo esc_attr( $settings['osteo_heading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_heading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_heading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_heading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_heading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_heading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_heading'] ); ?>
						</h2>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_subheading_switch'] ) {
        			?>
						<h3 class="subheading <?php echo esc_attr( $settings['osteo_subheading_box_shadow'] ); ?> <?php echo esc_attr( $osteo_subheading_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_subheading_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_subheading_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_subheading_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_subheading_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_subheading_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_subheading_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_subheading_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_subheading'] ); ?>
						</h3>
					<?php
				}
    		?>

			<?php
				if ( $items ) {

        			?>
						<div class="features-list <?php echo esc_attr( $settings['osteo_features_css_editor'] ); ?> <?php echo esc_attr( $settings['osteo_features_box_shadow'] ); ?>" style="background-color: <?php echo esc_attr( $settings['osteo_features_bg'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<ul>
								<?php foreach ( $items as $item ) {?>
									<?php
										$osteo_single_features_css_editor = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( esc_attr( $item['osteo_single_features_css_editor'] ), ' ' ), "osteo_pricing_table", $atts );
            						?>
									<li class="<?php echo esc_attr( $item['osteo_single_features_del'] ); ?> <?php echo esc_attr( $osteo_single_features_css_editor ); ?> <?php echo esc_attr( $item['osteo_single_features_box_shadow'] ); ?>" style="text-decoration-color: <?php echo esc_attr( $item['osteo_single_features_del_color'] ); ?>; color: <?php echo esc_attr( $item['osteo_single_features_color'] ); ?>; background-color: <?php echo esc_attr( $item['osteo_single_features_bg'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_font_size'] ); ?>; font-weight: <?php echo esc_attr( $item['osteo_single_features_font_weight'] ); ?>; font-style: <?php echo esc_attr( $item['osteo_single_features_font_style'] ); ?>; text-transform: <?php echo esc_attr( $item['osteo_single_features_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $item['osteo_single_features_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $item['osteo_single_features_transition'] ); ?>;">
										<span style="color: <?php echo esc_attr( $item['osteo_single_features_icon_color'] ); ?>; font-size: <?php echo esc_attr( $item['osteo_single_features_icon_size'] ); ?>; padding-left: <?php echo esc_attr( $item['osteo_single_features_icon_padding_left'] ); ?>; padding-right: <?php echo esc_attr( $item['osteo_single_features_icon_padding_right'] ); ?>;">
											<i class="<?php echo esc_attr( $item['osteo_single_features_icon'] ); ?>"></i>
										</span>
										<?php echo esc_html( $item['osteo_single_features_text'] ); ?>
									</li>
								<?php }?>
							</ul>
						</div>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_button_switch'] ) {
        			?>
						<a href="<?php echo esc_url( $osteo_button_url['url'] ); ?>" class="cmk-button <?php echo esc_attr( $settings['osteo_button_size'] ); ?> <?php echo esc_attr( $osteo_button_css_editor ); ?> <?php echo esc_attr( $settings['osteo_button_effect'] ); ?> <?php echo esc_attr( $settings['osteo_button_box_shadow'] ); ?>" style="color: <?php echo esc_attr( $settings['osteo_button_color'] ); ?>; background-color: <?php echo esc_attr( $settings['osteo_button_bg'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_button_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_button_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_button_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_button_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_button_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<span class="<?php echo esc_attr( $settings['osteo_button_icon_position'] ); ?>">
								<i class="<?php echo esc_attr( $settings['osteo_button_icon'] ); ?>"></i>
							</span>
							<?php echo esc_html( $settings['osteo_button_title'] ); ?>
						</a>
					<?php
				}
    		?>

			<?php
				if ( 'yes' === $settings['osteo_special_note_switch'] ) {
        			?>
						<div class="special-note <?php echo esc_attr( $osteo_special_note_css_editor ); ?>" style="color: <?php echo esc_attr( $settings['osteo_special_note_color'] ); ?>; font-size: <?php echo esc_attr( $settings['osteo_special_note_font_size'] ); ?>; font-weight: <?php echo esc_attr( $settings['osteo_special_note_font_weight'] ); ?>; font-style: <?php echo esc_attr( $settings['osteo_special_note_font_style'] ); ?>; text-transform: <?php echo esc_attr( $settings['osteo_special_note_text_transform'] ); ?>; letter-spacing: <?php echo esc_attr( $settings['osteo_special_note_letter_spacing'] ); ?>; transition: <?php echo esc_attr( $settings['osteo_settings_transition'] ); ?>;">
							<?php echo esc_html( $settings['osteo_special_note'] ); ?>
						</div>
					<?php
				}
    		?>

		</div>

		<?php endif;?>

		<style>
			.osteo-style:hover {
				background-color: <?php echo esc_attr( $settings['osteo_settings_bg_hover'] ); ?>!important;
				border: <?php echo esc_attr( $settings['osteo_settings_border_hover'] ); ?>!important;
				border-color: <?php echo esc_attr( $settings['osteo_settings_border_color_hover'] ); ?>!important;
				border-style: <?php echo esc_attr( $settings['osteo_settings_border_style_hover'] ); ?>!important;
				border-radius: <?php echo esc_attr( $settings['osteo_settings_border_radius_hover'] ); ?>!important;
			}
			.media-icon:hover i,
			.play-btn:hover i {
				color: <?php echo esc_attr( $settings['osteo_media_popup_color_hover'] ); ?>!important;
			}
			.play-btn:hover {
				background-color: <?php echo esc_attr( $settings['osteo_media_popup_bg_hover'] ); ?>!important;
			}
			.osteo-style:hover .heading {
				color: <?php echo esc_attr( $settings['osteo_heading_color_hover'] ); ?>!important;
				background-color: <?php echo esc_attr( $settings['osteo_heading_bg_hover'] ); ?>!important;
			}
			.osteo-style:hover .subheading {
				color: <?php echo esc_attr( $settings['osteo_subheading_color_hover'] ); ?>!important;
				background-color: <?php echo esc_attr( $settings['osteo_subheading_bg_hover'] ); ?>!important;
			}
			.osteo-style:hover .trial {
				color: <?php echo esc_attr( $settings['osteo_trial_color_hover'] ); ?>!important;
				background-color: <?php echo esc_attr( $settings['osteo_trial_bg_hover'] ); ?>!important;
			}
			.osteo-style:hover .currency i {
				color: <?php echo esc_attr( $settings['osteo_currency_icon_color_hover'] ); ?>!important;
			}
			.osteo-style:hover .duration-top {
				color: <?php echo esc_attr( $settings['osteo_price_duration_top_color_hover'] ); ?>!important;
				background-color: <?php echo esc_attr( $settings['osteo_price_duration_top_bg_hover'] ); ?>!important;
			}
			.osteo-style:hover .duration {
				color: <?php echo esc_attr( $settings['osteo_price_duration_color_hover'] ); ?>!important;
			}
			.osteo-style:hover .count,
			.osteo-style:hover .counter {
				color: <?php echo esc_attr( $settings['osteo_price_counter_color_hover'] ); ?>!important;
			}
			.features-list li:hover {
				color: <?php echo esc_attr( $item['osteo_single_features_color_hover'] ); ?>!important;
				background-color: <?php echo esc_attr( $item['osteo_single_features_bg_hover'] ); ?>!important;
			}
			.features-list:hover {
				background-color: <?php echo esc_attr( $settings['osteo_features_bg_hover'] ); ?>!important;
			}
			.cmk-button:before,
			.cmk-button:after {
				color: <?php echo esc_attr( $settings['osteo_button_color_hover'] ); ?>!important;
				background-color: <?php echo esc_attr( $settings['osteo_button_bg_hover'] ); ?>!important;
			}
			.osteo-style:hover .special-note {
				color: <?php echo esc_attr( $settings['osteo_special_note_color_hover'] ); ?>!important;
			}
			.ribbon-style-1:before,
			.ribbon-style-2:before,
			.ribbon-style-3:before,
			.ribbon-style-4:before {
				color: <?php echo esc_attr( $settings['osteo_ribbon_color'] ); ?>!important;
				background: <?php echo esc_attr( $settings['osteo_ribbon_bg'] ); ?>!important;
			}
			.ribbon-style-5:before {
				background: <?php echo esc_attr( $settings['osteo_ribbon_bg'] ); ?>!important;
			}
		</style>

	<?php

    return ob_get_clean();
}
add_shortcode( 'osteo_pricing_table', 'osteo_pricing_table_shortcode' );