<?php

function osteo_vc_iconpicker_base_register_css() {
    wp_register_style( 'fontawesome', plugins_url( '/css/font-awesome.min.css', __FILE__ ), array(), '4.7.0' );
    wp_register_style( 'icofont', plugins_url( '/css/icofont.min.css', __FILE__ ), array(), '1.0.1' );
    wp_register_style( 'line-awesome', plugins_url( '/css/line-awesome.min.css', __FILE__ ), array(), '1.0.1' );
    wp_register_style( 'materialdesignicons', plugins_url( '/css/materialdesignicons.min.css', __FILE__ ), array(), '1.0.1' );
    wp_register_style( 'dripicons', plugins_url( '/css/dripicons.css', __FILE__ ), array(), '1.0.0' );
    wp_register_style( 'elementor-icons', plugins_url( '/css/elementor-icons.min.css', __FILE__ ), array(), '1.0.0' );
    wp_register_style( 'gonzocons', plugins_url( '/css/gonzocons.css', __FILE__ ), array(), '1.0.0' );
    wp_register_style( 'iconmonstr-iconic-font', plugins_url( '/css/iconmonstr-iconic-font.min.css', __FILE__ ), array(), '1.0.0' );
    wp_register_style( 'linearicons', plugins_url( '/css/linearicons.css', __FILE__ ), array(), '1.0.0' );
    wp_register_style( 'pe-icon-7-stroke', plugins_url( '/css/pe-icon-7-stroke.css', __FILE__ ), array(), '1.0.0' );
    wp_register_style( 'rivolicons', plugins_url( '/css/rivolicons.css', __FILE__ ), array(), '1.0.0' );
    wp_register_style( 'themify-icons', plugins_url( '/css/themify-icons.css', __FILE__ ), array(), '1.0.0' );
}
add_action( 'vc_base_register_front_css', 'osteo_vc_iconpicker_base_register_css' );
add_action( 'vc_base_register_admin_css', 'osteo_vc_iconpicker_base_register_css' );

function osteo_vc_iconpicker_editor_jscss() {
    wp_enqueue_style( 'fontawesome' );
    wp_enqueue_style( 'icofont' );
    wp_enqueue_style( 'line-awesome' );
    wp_enqueue_style( 'materialdesignicons' );
    wp_enqueue_style( 'dripicons' );
    wp_enqueue_style( 'elementor-icons' );
    wp_enqueue_style( 'gonzocons' );
    wp_enqueue_style( 'iconmonstr-iconic-font' );
    wp_enqueue_style( 'linearicons' );
    wp_enqueue_style( 'pe-icon-7-stroke' );
    wp_enqueue_style( 'rivolicons' );
    wp_enqueue_style( 'themify-icons' );
}
add_action( 'vc_backend_editor_enqueue_js_css', 'osteo_vc_iconpicker_editor_jscss' );
add_action( 'vc_frontend_editor_enqueue_js_css', 'osteo_vc_iconpicker_editor_jscss' );